/*

    Copyright (c) 1989, 1990 University of Southern California

	Paul Raveling
	USC Information Sciences Institute
	4676 Admiralty Way
	Marina del Rey, California 90292


	The authors grant without fee permission to use, copy, modify,
	distribute, and sell this software for any purpose, provided:

	--  The above copyright notice appears in all copies.

	--  This disclaimer appears in all source code copies.

	--  The names of ISI and USC are not used in advertising or
	    publicity  pertaining  to distribution  of the software
	    without prior specific written permission from ISI.

	ISI provides this software freely as a public service.  It is
	NOT a commercial product,  and therefore is not subject to an
	an implied  warranty  of  merchantability  or  fitness  for a
	particular purpose.  ISI provides it as is, without warranty.

	This software  is furnished  only on the basis that any party
	who receives it indemnifies  and holds harmless  the original
	authors and their sponsors  against any claims,  demands,  or
	liabilities  connected  with  using  it,   furnishing  it  to
	others, or providing it to a third party.


	The author  of this software is  Paul Raveling.   Development
	used the author's after-work hours and ISI's facilities.

	Thanks are due to ISI for allowing  such extracurricular work
	and  to Hewlett Packard,   whose  University  Grants  program
	provided  the 9000/370  workstation  and  supporting software
	which was the platform for this work.
*/

/*
===============================================================================
=======                                                                 =======
=======			Definitions for Timing		               	=======
=======                     File  timing.h                              =======
=======                                                                 =======
===============================================================================


        This header file supplies image library definitions
	for use in gathering and reporting timing information.


  File history:

	3-7-90		Paul Raveling
	Finalized for version 1.2 by supplying header & copyright notice

	Long ago	Paul Raveling
	Created file for use in gathering color quantization
	timing data.

*/



#include <sys/types.h>
#include <sys/param.h>
#include <sys/times.h>
/*	extern long times(); */

	long	 start_tod;		/*  Starting time of day	*/
	long	 end_tod;		/*  Ending time of day		*/
   struct tms	 start_tms;		/*  Starting process time	*/
   struct tms	 end_tms;		/*  Ending process time		*/

	float	 Treal;			/*  Real time			*/
	float	 Tproc;			/*  Process time		*/


/*	Executable macros:	*/

#define	Start_Timing	start_tod = times (&start_tms);
#define	End_Timing	end_tod = times (&end_tms);

#define	Report_Timing	\
 {	\
 Treal = ((float) (end_tod - start_tod + HZ/2)) / (float) HZ; \
 Tproc = ((float) (end_tms.tms_utime - start_tms.tms_utime + HZ/2))/(float) HZ; \
 printf ( "\nElapsed real time = %.1f sec.\n", Treal ); \
 printf ( "Process time      = %.1f sec.\n\n", Tproc ); \
 }
